> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Passthrough Data

> Retrieve passthrough data from integration platforms.



## OpenAPI

````yaml POST /core/passthrough
openapi: 3.0.1
info:
  title: rootfi
  version: v3
servers:
  - url: https://api.rootfi.dev/v3
    description: global
  - url: https://api.sa.rootfi.dev/v3
    description: saudi
security: []
paths:
  /core/passthrough:
    post:
      tags:
        - CorePassthrough
      summary: Get Passthrough Data
      description: Retrieve passthrough data from integration platforms.
      operationId: core_passthrough_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/coregetPassthroughDataRequest'
            examples:
              Example1:
                value:
                  company_id: 1111
                  data:
                    method: GET
                    path: /contacts
                    headers: {}
                    data: {}
                    params: {}
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/coregetPassthroughDataObject'
              examples:
                Example1:
                  value:
                    data:
                      data:
                        code: 0
                        message: success
                        contacts:
                          - contact_id: '3770712000001545104'
                            contact_name: Albert Brown
                            portal_status: disabled
                            created_time: 2023-10-13T11:44:39+0530
                            created_time_formatted: 13/10/2023
                            last_modified_time: 2023-10-13T11:44:39+0530
                            last_modified_time_formatted: 13/10/2023
                            custom_fields: []
                            custom_field_hash: {}
                            ach_supported: false
                            gst_no: 07CEUPK5322M1XX
                            gst_treatment: business_gst
                            place_of_contact: DL
                            place_of_contact_formatted: Delhi
                            has_attachment: false
                            pan_no: ODSPS1279F
                        page_context:
                          page: 1
                          per_page: 200
                          has_more_page: false
                          report_name: Contacts
                          applied_filter: Status.All
                          custom_fields: []
                          sort_column: contact_name
                          sort_order: A
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    coregetPassthroughDataRequest:
      title: coregetPassthroughDataRequest
      type: object
      description: The request object for the getPassthroughData endpoint.
      properties:
        company_id:
          type: integer
          description: The ID of the company to retrieve passthrough data for.
          example: 1111
        data:
          $ref: '#/components/schemas/coreaxiosRequestConfig'
          description: The data to send to the integration platform.
      required:
        - company_id
        - data
    coregetPassthroughDataObject:
      title: coregetPassthroughDataObject
      type: object
      description: The response object for the getPassthroughData endpoint.
      properties:
        data:
          type: object
          additionalProperties: true
          description: The data returned from the integration platform.
      required:
        - data
    RootFiAPIResponseType:
      title: RootFiAPIResponseType
      type: object
      properties:
        error:
          $ref: '#/components/schemas/RootFiAPIResponseErrorType'
          description: The error message
      required:
        - error
    coreaxiosRequestConfig:
      title: coreaxiosRequestConfig
      type: object
      description: The request config object for axios.
      properties:
        method:
          type: string
          description: The HTTP method to use.
          example: GET
        path:
          type: string
          description: The URL to send the request to.
          example: /contacts
        headers:
          type: object
          additionalProperties:
            type: string
          description: The headers to send with the request.
        data:
          type: object
          additionalProperties: true
          description: The data to send with the request.
        params:
          type: object
          additionalProperties: true
          description: The query parameters to send with the request.
      required:
        - method
        - path
        - headers
        - data
        - params
    RootFiAPIResponseErrorType:
      title: RootFiAPIResponseErrorType
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        field:
          type: string
          description: The status of the error
      required:
        - message
        - code
        - field
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api_key

````